> For the complete documentation index, see [llms.txt](https://docs.onchainpay.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.onchainpay.io/ru/api-reference/01base_actions/post_get-transaction-history.md).

# Получение истории транзакций

Метод позволяет получить историю транзакций в организации.

## Фильтры

Доступны фильтры:

* по типу транзакции (`enum type`)
* по дате (параметр `date`)
* по монете (параметр `currency`)
* по сети (параметр `network`)

## Пагинация

Пагинация осуществляется с помощью параметров `limit`, `offset`. Доступна сортировка по дате (параметр `sortDate`)

* `limit` - количество элементов для отображения в результате запроса (не меньше 100 и не больше 1000, по умолчанию 100)
* `offset` - количество элементов для пропуска

## Описание `enum basis`

| Тип                | Описание     |
| ------------------ | ------------ |
| `order`            | Ордер        |
| `withdrawal`       | Вывод        |
| `deposit`          | Депозит      |
| `transfer`         | Перевод      |
| `collecting`       | Сбор прибыли |
| `kyt`              | KYT          |
| `exchange_AUTO`    | Обмен API    |
| `payout_auto_swap` | Авто обмен   |

## Описание `enum type`

| Тип                               | Описание                                  |
| --------------------------------- | ----------------------------------------- |
| `commission`                      | Комиссия                                  |
| `commission_create_order`         | Комиссия за создание ордера               |
| `commission_execute_order`        | Комиссия за транзакцию по ордеру          |
| `commission_wallet_deposit`       | Комиссия за депозит на кошелек            |
| `commission_recurrent_deposit`    | Комиссия за депозит на рекуррентный адрес |
| `commission_personal_deposit`     | Комиссия за депозит на персональный адрес |
| `commission_payout_deposit`       | Комиссия за депозит на выплатной баланс   |
| `commission_wallet_withdrawal`    | Комиссия за вывод с кошелька              |
| `commission_recurrent_withdrawal` | Комиссия за вывод с рекуррентного адреса  |
| `commission_personal_withdrawal`  | Комиссия за вывод с персонального адреса  |
| `commission_collect_withdrawal`   | Комиссия за вывод с головного адреса      |
| `commission_payout_withdrawal`    | Комиссия за вывод с выплатного баланса    |
| `bridge_internal_fee`             | Комиссия за блокчейн мост                 |
| `bridge_external_fee`             | Комиссия за блокчейн мост API             |
| `bridge_internal`                 | Блокчейн мост                             |
| `bridge_external`                 | Блокчейн мост API                         |
| `exchange_internal`               | Обмен                                     |
| `exchange_auto`                   | Обмен API                                 |
| `exchange_internal_fee`           | Комиссия за обмен                         |
| `exchange_auto_fee`               | Комиссия за обмен API                     |
| `network_fee`                     | Комиссия сети                             |
| `deposit`                         | Пополнение авансового баланса             |
| `withdrawal`                      | Вывод                                     |
| `commission_withdrawal`           | Комиссия вывода                           |
| `order_transaction`               | Транзакция ордера                         |
| `deposit_payout_balance`          | Пополнение выплатного баланса             |
| `deposit_wallet`                  | Пополнение кошелька                       |
| `deposit_recurrent`               | Пополнение рекуррентного адреса           |
| `deposit_personal`                | Пополнение персонального адреса           |
| `deposit_collect`                 | Пополнение головоного адреса              |
| `kyt_transaction_fee`             | Риски транзакции                          |
| `kyt_withdrawal_address_fee`      | Риски вывода                              |
| `kyt_address_fee`                 | Риски адреса                              |
| `payout_auto_swap`                | Авто-обмен                                |
| `payout_auto_swap_fee`            | Комиссия за авто-обмен                    |

{% openapi src="/files/fYny1be3HQkwv8pcyVWc" path="/api-gateway/get-transaction-history" method="post" %}
[openapi.json](https://2053084324-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FjD2GptgnRBnSrByer9Fs%2Fuploads%2Fgit-blob-c0b8b85b349592094469ee635d6c918de8f3eba5%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.onchainpay.io/ru/api-reference/01base_actions/post_get-transaction-history.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
